<style>
  .pagy-selector span input {
    min-width: 4rem !important;
  }
</style>

<div class="row">
  <div class="col-sm-3">
    <%= form_with url: rcas_path, method: :get, local: true do |form| %>
      Show <%= text_field_tag :items, @items, type: 'number', style: "text-align: center; width: 4rem;" %> rcas per page
    <% end %>
  </div>
  <div class="col-sm-4", style="text-align:center;">
    <%= pagy_bootstrap_nav_js(@pagy).html_safe %>
  </div>
</div>

<%= form_with url: global_taskplan_path, method: :post, local: true do |form| %>
  <button disabled onclick="return false;" hidden>Submit</button>

  <% adv_nbcols = 3
     admin_config = Admin::AdminConfig.first
     adv_nbcols -= 1 if admin_config&.home_options&.[]('show_adv_etape') == 'false'
     adv_nbcols -= 1 if admin_config&.home_options&.[]('show_adv_role') == 'false'
     adv_nbcols -= 1 if admin_config&.home_options&.[]('show_adv_duration') == 'false'
     profil_nbcols = admin_config&.home_options&.[]('show_profil')&.size || 0
     target = 0
  %>

  <div style="float:right;position:relative;top:-80px;">
    <%= button_tag(type: "submit", class: "btn btn-outline-dark") do %>
      <%= fa_icon('sitemap', class: 'icon-grey icon-btn icon-margin')+ t('.action_plan') %>
    <% end %>
    <%= link_to fa_icon('arrow-circle-down', class: 'icon-grey icon-btn icon-margin') + t('.ods_export') , rca_export_ods_path(items: @items, page: @page_number), method: :get, class: 'btn btn-outline-dark' %>
    <%= link_to fa_icon('stumbleupon-circle', type: 'brand', class: 'icon-grey icon-btn icon-margin') + t('.update_advancement') , rca_reinit_all_advancements_path, method: :patch, class: 'btn btn-outline-dark' %>
    <%= link_to fa_icon('database', class: 'icon-grey icon-btn icon-margin') + t('.recovery') , rca_recovery_path, method: :get, class: 'btn btn-outline-dark' %>
    <%= link_to fa_icon_add('icon-orange icon-margin') + t('.new', rca: Rca.model_name.human), new_rca_path, class: 'btn btn-outline-warning' %>
  </div>

  <div style='width:100%; overflow-x: scroll;'>

    <table data-tablesort='true' data-toggle="tablesort" class="tablesorter">
      <thead>
        <tr>
          <!-- <th rowspan="2">ID</th> -->
          <th rowspan="2"><%= Rca.human_attribute_name :reference %> </th>
          <th rowspan="2"><%= Rca.human_attribute_name :title %> </th>
          <% unless admin_config&.home_options&.[]('show_desc') == 'false' %>
            <th rowspan="2"><%= Rca.human_attribute_name :description %> </th>
          <% end %>
          <% unless admin_config&.home_options&.[]('show_methodo') == 'false' %>
            <th rowspan="2"><%= Rca.human_attribute_name :methodology %></th>
          <% end %>

          <% if profil_nbcols > 0 %>
            <th colspan="<%= profil_nbcols %>"><%= t('.profils') %></th>
          <% end %>

          <% @custom_field_descs.each do |cfd| %>
            <th rowspan="2"><%= cfd.name %></th>
          <% end %>
          <% if adv_nbcols > 0 %>
            <th colspan="<%= adv_nbcols %>"><%= t('.advance') %></th>
          <% end %>
          <th rowspan="2"><%= Rca.human_attribute_name :created_at %></th>
          <th rowspan="2" class="sorter-false"></th>
        </tr>
        <% if adv_nbcols > 0 || profil_nbcols > 0 %>
          <tr>
            <% if profil_nbcols > 0 %>
              <% admin_config.home_options['show_profil'].each do |profil_id| %>
                <% profil = Profil.find(profil_id) %>
                <th><%= profil.name %></th>
              <% rescue %>
                <th>Profil deleted !</th>
              <% end %>
            <% end %>
            <% if adv_nbcols > 0 %>
              <% unless admin_config&.home_options&.[]('show_adv_etape') == 'false' %>
                <th><%= Rca.human_attribute_name :advance_step %></th>
              <% end %>
              <% unless admin_config&.home_options&.[]('show_adv_role') == 'false' %>
                <th><%= Rca.human_attribute_name :advance %></th>
              <% end %>
              <% unless admin_config&.home_options&.[]('show_adv_duration') == 'false' %>
                <th><%= t('.duration') %></th>
                <% target = admin_config&.home_options&.[]('target_adv_duration')&.to_i %>
              <% end %>
            <% end %>
          </tr>
        <% end %>
      </thead>

      <%#= form_with url: global_taskplan_path, method: :post, local: true do |form| %>
      <tbody>
        <% @rcas.each do |rca| %>
          <tr>
            <%= hidden_field_tag "rcas[#{rca.id}]", rca.id %>
            <td><%= rca.reference %></td>
            <td>
              <%= link_to edit_rca_path(rca) do %>
                <%= rca.title %>
                <%= rca_reference_show(rca) %>
                <%= fa_icon_edit %>
              <% end %>
            </td>
            <% unless admin_config&.home_options&.[]('show_desc') == 'false' %>
              <td>
                <a href='#' data-toggle='prowhy-openclose' data-prowhy-text='Details' data-prowhy-type='open' data-prowhy-content='#pbody_<%=rca.id%>'></a>
                <div id='pbody_<%=rca.id%>' style='display:none;'>
                  <div class='popover-body'>
                    <%= rca.description %>
                  </div>
                </div>
              </td>
            <% end %>

            <% unless admin_config&.home_options&.[]('show_methodo') == 'false' %>
              <td><%= rca.methodology.name %></td>
            <% end %>

            <% if profil_nbcols > 0 %>
              <% admin_config.home_options['show_profil'].each do |profil_id| %>
                <% people = rca.get_people_from_profil(profil_id) %>
                <td>
                  <% people.each do |person| %>
                    <%= person.name %><br/>
                  <% end %>
                </td>
              <% rescue %>
                <th>Profil deleted !</th>
              <% end %>
            <% end %>

            <% @custom_field_descs.each do |cfd| %>
              <td><%= show_custom_field(rca.custom_field, cfd) %></td>
            <% end %>

            <% unless admin_config&.home_options&.[]('show_adv_etape') == 'false' %>
              <td><%= rca.advance_step_name %></td>
            <% end %>
            <% unless admin_config&.home_options&.[]('show_adv_role') == 'false' %>
              <td><%= rca.advance_role_name %></td>
            <% end %>
            <% unless admin_config&.home_options&.[]('show_adv_duration') == 'false' %>
              <td>
                <% if target && target > 0 && rca.advance_duration > target && !rca.rca_closed? %>
                  <span style='color: #e33; font-weight: bold;'><%= rca.advance_duration %></span>
                <% else %>
                  <%= rca.advance_duration %>
                <% end %>
              </td>
            <% end %>

            <td><%= rca.created_at.to_date %></td>
            <!-- <td><%#= link_to fa_icon_edit, edit_rca_path(rca) %></td> -->
            <td><%= link_to fa_icon_delete, rca, method: :delete, data: { confirm: t('confirm.sure') } %></td>
          </tr>
        <% end %>
      </tbody>
    <%#= hidden_field_tag 'step_tool', 447 %>
    </table>

  </div>

<% end %>

<div class="row">
  <div class="col-sm-3">
    <%= form_with url: rcas_path, method: :get, local: true do |form| %>
      Show <%= text_field_tag :items, @items, type: 'number', style: "text-align: center; width: 4rem;" %> rcas per page
    <% end %>
  </div>
  <div class="col-sm-4", style="text-align:center;">
    <%= pagy_bootstrap_nav_js(@pagy).html_safe %>
    <%#= pagy_bootstrap_nav(@pagy) %>
    <%#= pagy_bootstrap_combo_nav_js(@pagy).html_safe %>
  </div>
  <div class="col-sm-5 pagy-selector" style='text-align:right;'>
    <%#== pagy_items_selector_js(@pagy) %>
    <%= pagy_info(@pagy).html_safe %>
  </div>
</div>


<%#= link_to t('.action_plan'), meth_step_tool_show_path(id: 447), method: :get, class: 'btn btn-outline-dark' %>
